#include <bits/stdc++.h>

using namespace std;

int main()
{
    int h, w;
    cin>>h>>w;
    char a[h][w];
    for(int i=1; i<=h; i++)
    {
        for(int j=1; j<=w; j++)
        cin>>a[i][j];
    }
    cout<<-1;
    return 0;
}